Bug 1948398 - [oVirt] remove ovirt_cafile from ovirt-credentials secret
Summary: [oVirt] remove ovirt_cafile from ovirt-credentials secret
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Gal Zaidman
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On: 1945659
Blocks: 1963959
TreeView+ depends on / blocked
 
Reported: 2021-04-12 06:51 UTC by OpenShift BugZilla Robot
Modified: 2021-06-15 09:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4842 0 None open [release-4.7] Bug 1948398: remove ovirt_cafile from ovirt-credentials secret 2021-05-19 07:36:25 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:27:26 UTC

Comment 4 Guilherme Santos 2021-05-31 21:41:22 UTC
Verified on:
4.7.0-0.nightly-2021-05-28-053625

Steps:
Generate the manifests file according with the steps in the description
# cat ${installer_working_dir}/openshift/99_cloud-creds-secret.yaml

Results:
1. ovirt_ca_bundle present and empty 
2. ovirt_ca_bundle present with ca file content
3. ovirt_ca_bundle present with ca bundle content
4. ovirt_ca_bundle present with ca file content 
5. ovirt_ca_bundle present and empty with connection issue when generating manifests

Comment 6 Siddharth Sharma 2021-06-04 18:38:45 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 10 errata-xmlrpc 2021-06-15 09:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.